{{- if .Values.ingress.host }}
---
{{ template "common.Ingress" (list . "netbox.Ingress") }}
{{- end }}

{{- define "netbox.Ingress" }}
spec:
  rules:
    - host: {{ .Values.ingress.host }}
      http:
        paths:
          - path: {{ .Values.ingress.basePath | default "/" }}
            pathType: Prefix
            backend:
              service:
                name: {{ template "common.fullname" . }}
                port:
                  name: http
{{- end }}
